import nuke
import os

def checkVectorBlur():
	vbNodes = []
	for n in nuke.allNodes('VectorBlur'):
		connections = n.dependencies()
		if connections != [] and n['disable'].value() == True :  vbNodes.append(n)
	if vbNodes != [] :
		if nuke.ask('Vector Blur Node(s) Disabled, Enable Node(s) with Connections?'):
			for vb in vbNodes:
				vb['disable'].setValue(False)
						
def createWriteDirs():
    for node in nuke.allNodes('Write'):
		infile = node['file'].value()
		dirPath = infile.rsplit('/', 1)[0]
		if not os.path.isdir(dirPath) : os.makedirs(dirPath)
		
def check():
	checkVectorBlur()
	createWriteDirs()